PhpStorm 8 EAP 138.1751

PhpStorm 8 EAP 138.1751 is available for download.

This update delivers Blade (structure view) and formatting (new option to place semicolon on a new line in chained methods, improved Complete Statement) enhancements from PHP side, along with many other fixes (see full list in our issue tracker)…

Other improvements and IntelliJ platform and web support changes are also included, see complete release notes.

Download PhpStorm 8 EAP build 138.1751 for your platform from project EAP page and please report any bugs and feature request to our Issue Tracker. Patch-update will be available within an hour from the previous EAP build (PhpStorm 8 EAP 138.1505).

Develop with pleasure!
-JetBrains PhpStorm Team

This entry was posted in Early Access Program and tagged , , . Bookmark the permalink.
  • Jack

    Wish we’re able to get full Lavavel support without a helper file! Thanks a lot for Blade support waiting a long time for that!

  • http://www.clickteck.com Shairyar

    When are you aiming to release phpstorm 8 final stable version

  • Romain

    Lots of EAP releases, do you have any idea for the stable release date of phpstorm 8 ?
    Thank you for all these progress on the updates :)

  • Adrian Grund

    The new EAP shows me that the current NodeJS is incompatible… any workarounds?

    • Vladimir

      Just update the plugin.

  • YOLOSWAG

    Awesome!
    Quick question. I’m using the PSR-1/2 code style and I can’t find a way to stop new lines after function declaration, while keeping the rest of the settings like allowing 1 blank line inside the code. It always keep a single line after function declaratio, like this:

    function hello() {

    do_something_else();
    return true;
    }

    Something like “number of blank lines after { or function declaration”.

    Thanks guys!

    • Liubov Melnikova

      If you’re using “Default” PSR-1/2, it’s OK for me. Check File | Settings (Preferences for Mac) | Code style | PHP | Blank lines: http://i.imgur.com/n9jIwZ2.png .

  • Mihkel

    Mhh…latest PhpStorm build has broken Jade support. I also noticed this also with latest intellj build. Any plans fixing this?

    Exact problem is I cannot open .jade files for editing.

    • Liubov Melnikova

      It will be fixed soon, when responsible developer will update plugin.

  • Eugene OZ

    All Angular bindings in views are broken and highlighted as errors.

  • Stefan

    For me, the new EAP crashes as soon I open a file

  • Peter

    Why do you introduce additional near-useless features like Blade-”support” instead of maturing and fixing existing features like Twig-support first? That doesn’t make sense to me. This philosophy is totally different to the one because of I learned to love+use Jetbrains products years ago.

  • Razunter

    PhpStorm not restarting automatically for a while now. Windows 8.1 x64.

  • Wolodia

    If I buy PhpStorm 7 now, will I have to buy v.8 in full price?

    • Mikhail Vink

      No, you’ll get PhpStorm 8 as a free update (all updates within a year after purchase date are included in your license)

  • Hélio

    In blade files, I’m unable to reformat the code. And in blade files generate warnings…

  • http://tru.fm Travis

    What’s the latest news on implementing Hack? A lot of us badly want that feature.

    Add support for Hack language

  • venimus

    I keep getting errors in JavaScript plugin

    • Liubov Melnikova

      What are exactly the errors?

  • Bert-Jan de Lange

    I’ve just removed this build. Everything after the 12xx build keeps erroring out on me, and sadly the 12xx build has expired.. so it’s back to 7.1.4 :-/